Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::SceneManager::lightLess Struct Reference

Comparator for sorting lights relative to a point. More...

`#include <OgreSceneManager.h>`

List of all members.

## Public Methods

_OgreExport bool | operator() (const Light *a, const Light *b) const

## Detailed Description

Comparator for sorting lights relative to a point.

Definition at line 92 of file OgreSceneManager.h.

## Member Function Documentation

bool Ogre::SceneManager::lightLess::operator() | ( | const Light * | a,
|  | const Light * | b
| ) | const

| Definition at line 303 of file OgreSceneManager.cpp. References Ogre::Light::tempSquareDist.

The documentation for this struct was generated from the following files:

- OgreSceneManager.h
- OgreSceneManager.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:34 2004